/**
 * 设备列表页
 *
 * */

import React, { useEffect } from 'react'
import { ScrollView, View, Text, SafeAreaView, NativeModules } from 'react-native';
import styles from './style';
import requestUrl from '../../config';

const Equipment = () => {
  useEffect(() => {
    console.log('NativeModules', NativeModules);
    // getEquimentList();
  }, []);

  const getEquimentList = async () => {
   try {
     const { data } = await fetch(`${requestUrl}user/loginDevices`);
     console.log('data', data);
   } catch (e) {
     console.log('e', e);
   }
  };


  return (
    <SafeAreaView>
      <ScrollView style={styles.container}>
        <Text style={styles.tip}>
          标题文字点击无反馈，文字超长则隐藏，文字超长则隐藏
        </Text>

        <View style={styles.content}>
          <View style={styles.ceil}>
            <View style={styles.ceilTitle}>
              <Text style={styles.ceilName}>设备的名字</Text>
              <Text style={styles.ceilTag}>本机</Text>
            </View>
            <Text style={styles.ceilInfo}>最后登录时间：2019-08-25 16:32</Text>
          </View>
        </View>
      </ScrollView>
    </SafeAreaView>
  )
};

export default Equipment
