import React from 'react'
import { NavigationContainer } from '@react-navigation/native';
import { createStackNavigator } from '@react-navigation/stack';
import Equipment from '../pages/Equipment'
import ChangeNickname from '../pages/ChangeNickname'

const Stack = createStackNavigator();

function AllStack() {
  return (
    <Stack.Navigator initialRouteName="equiment">
      <Stack.Screen options={{title: '常用设备'}} name="equiment" component={Equipment} />
      <Stack.Screen options={{title: '修改昵称'}} name="ChangeNickname" component={ChangeNickname} />
    </Stack.Navigator>
  );
}

export default function App() {
  return (
    <NavigationContainer>
      <AllStack />
    </NavigationContainer>
  );
}
